# ROOT-I/O. ROOT example. Reading root trees and custom objects.
# For shell script, look at the example RootIO and read README
# The example works for Event.root file. Should be copied first


# Get example root file if needed
# http='http://projects.hepforge.org/jhepwork/'
# file='Event.root'
# wget http+'examples/data/'+file


from hep.rootio.interfaces import *
from hep.rootio import *
from jhplot import *

# build interface library
from hep.rootio.util import *
a=InterfaceBuilder("Event.root")
print a.message()

 
#### run over events and plot PT2 #####
reader = RootFileReader("Event.root")
tree =   reader.get("T");
branch = tree.getBranch("event")
n = branch.getNEntries()
print "entries=",n

h1=H1D('Pt2',100,0,10)
for i in range(n):
     e = branch.getEntry(i)
     l = e.getTracks()
     print "Event=",i, " NTracks=",e.getNtrack()," ",l.size()
     it = l.iterator()
     while(it.hasNext()):
              t = it.next()
              px = t.getPx()
              py=t.getPy()
              h1.fill(px*px+py*py)
              # print "px=",px
c1=HPlot('Canvas')
c1.visible()
c1.setAutoRange()
c1.draw(h1)

# export to some image (png,eps,pdf,jpeg...)
# c1.export(Editor.DocMasterName()+".png")
